
.main-body {
    background: url("../img/journey-background.png") no-repeat center center fixed;
    background-size: cover;
    font-family: 'Ubuntu', sans-serif;
}

/***********  Header  **********/

.top-line {
    background-color: rgba(0, 0, 0, 0.41);
    padding: 20px 71px 20px 81px;
}

.logo {
    display: inline-block;
    float: left;
    vertical-align: middle;
    color: #ffffff;
    font-weight: bold;
    font-size: 20px;
    line-height: 20px;
    text-transform: uppercase;
    text-decoration: none;
    transition: color 0.2s;
}

.logo:hover {
    color: #3CB878;
}

.login-menu {
    float: right;
    display: inline-block;
    text-align: right;
    font-size: 14px;
    line-height: 20px;
    color: #ffffff;
}

.menu-text {
    margin-left: 10px;
}

.link {
    color: #3CB878;
    text-decoration: none;
}

.top-line-icons {
    display: inline-block;
    float: right;
    margin-right: 56px;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

    /*****  Sprite icons  ******/

.icon {
    margin-left: 28px;
    display: inline-block;
}

.bg-cal_white {
    content: " ";
    width: 19px;
    height: 19px;
    background: url('../img/css_sprites.png') -106px -49px;
}

.bg-cal_white:hover {
    width: 19px;
    height: 19px;
    background: url('../img/css_sprites.png') -106px -10px;
}

.bg-compass_white {
    width: 20px;
    height: 20px;
    background: url('../img/css_sprites.png') -50px -50px;
}

.bg-compass_white:hover {
    width: 20px;
    height: 20px;
    background: url('../img/css_sprites.png') -10px -50px;
}

.bg-forum_white {
    width: 28px;
    height: 20px;
    background: url('../img/css_sprites.png') -58px -10px;
}

.bg-forum_white:hover {
    width: 28px;
    height: 20px;
    background: url('../img/css_sprites.png') -10px -10px;
}
/*****  Sprite icons end  ******/

/********** Form container start ***************/

.sign-container {
    width: 444px;
    box-sizing: border-box;
    padding: 29px 60px 32px;
    border-radius: 4px;
    background-color: #ffffff;
    position: relative;
    margin: 0 auto;
    transform: translateY(-50%);
    top: calc((100vh - 60px) / 2);
}

.green-square {
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 29px;
    left: 0;
}

/* Sign in and buttons */

.sign-up {
    float: left;
    display: inline-block;
    font-size: 20px;
    line-height: 20px;
    color: #434343;
    margin-bottom: 19px;
}

.log-in {
    float: right;
    line-height: 20px;
    font-size: 14px;
    color: #3CB878;
}

/*  Buttons */

.facebook-btn {
    float: left;
    clear: both;
    top: 62px;
    left: 60px;
    display: inline-block;
    padding: 10px 0;
    background-color: #305DB8;
    border-radius: 3px;
    margin-bottom: 29px;
}

.google-btn {
    float: right;
    top: 62px;
    right: 60px;
    display: inline-block;
    padding: 10px 0;
    background-color: #DF4A32;
    border-radius: 3px;
}

.btn-icon {
    display: inline-block;
    width: 48px;
    height: 28px;
    font-size: 20px;
    text-align: center;
    padding: 4px 0;
    box-sizing: border-box;
    color: white;
    border-right: 2px solid rgba(0, 0, 0, 0.10);
}

.btn-text {
    display: inline-block;
    width: 106px;
    text-align: center;
    color: #ffffff;
    font-size: 16px;
}

.or {
    clear: both;
    font-size: 14px;
    text-align: center;
    color: #848484;
    margin-bottom: 16px;
}
/*  Buttons end  */


    /*   FORM  */
.sign-field  {
    display: block;
    position: relative;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    width: 100%;
    box-sizing: border-box;
    height: 46px;
    margin: 9px auto;
    outline: none;
    font-size: 14px;
    color: #434343;
    padding: 0 18px;
    transition: 0.2s;
    cursor: pointer;
}

.sign-field::placeholder {
    color: #BEBEBE;
}

.sign-field:focus {
    top: -3px;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    border-radius: 3px;
}

    /* Check-box styling */
.chb-container {
    font-size: 14px;
    line-height: 22px;
    margin: 22px 0 28px;
    padding-left: 32px;
    display: block;
    position: relative;
    user-select: none;
    color: #434343;
}

.chb-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.check-mark {
    display: block;
    position: absolute;
    width: 20px;
    height: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
    top: 0;
    left: 0;
}

.check-mark:hover {
    background: rgba(0, 0, 0, 0.05);
}

.check-mark:after {
    content: url("../img/check-mark.svg");
    position: absolute;
    right: 1px;
    top: 1px;
    display: none;
}

.chb-container input:checked ~ .check-mark:after {
    display: block;
}
    /* Check-box styling end */

.create-account-btn {
    width: 100%;
    padding: 16px 0;
    text-align: center;
    font-size: 16px;
    letter-spacing: 1px;
    color: #ffffff;
    background-color: #3CB878;
    border-radius: 4px;
    border: none;
    outline: none;
    cursor: pointer;
    transition: background-color 0.2s;
}

.create-account-btn:hover {
    background-color: #43c982;
}